package com.goafanti.common.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 外呼每天统计表(AdminCallDay)实体类
 *
 * @author makejava
 * @since 2024-12-11 09:21:49
 */
public class AdminCallDay implements Serializable {
    private static final long serialVersionUID = -20468848993770714L;
    /**
     * id
     */
    private Integer id;
    /**
     * 外呼人名称
     */
    private String name;
    /**
     * 外呼人编号
     */
    private String aid;
    /**
     * 团队编号
     */
    private Integer teamId;
    /**
     * 团队名称
     */
    private String teamName;
    /**
     * 外呼次数
     */
    private Integer callSum;
    /**
     * 接通次数
     */
    private Integer connectSum;
    /**
     * 有效次数
     */
    private Integer validSum;
    /**
     * 时长
     */
    private Integer callDurationSum;
    /**
     * 记录时间
     */
    private Date dayDate;
    /**
     * 创建时间
     */
    private Date createTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public Integer getTeamId() {
        return teamId;
    }

    public void setTeamId(Integer teamId) {
        this.teamId = teamId;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public Integer getCallSum() {
        return callSum;
    }

    public void setCallSum(Integer callSum) {
        this.callSum = callSum;
    }

    public Integer getConnectSum() {
        return connectSum;
    }

    public void setConnectSum(Integer connectSum) {
        this.connectSum = connectSum;
    }

    public Integer getValidSum() {
        return validSum;
    }

    public void setValidSum(Integer validSum) {
        this.validSum = validSum;
    }

    public Integer getCallDurationSum() {
        return callDurationSum;
    }

    public void setCallDurationSum(Integer callDurationSum) {
        this.callDurationSum = callDurationSum;
    }

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    public Date getDayDate() {
        return dayDate;
    }

    public void setDayDate(Date dayDate) {
        this.dayDate = dayDate;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

